summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcel Unbehaun <frostworks@gmx.de>2009-10-23 10:30:56 +0200
committerMarcel Unbehaun <frostworks@gmx.de>2009-10-23 10:30:56 +0200
commit88b11c7aaf9c88651106ba349d53a5fd1a7a872b (patch)
tree5fc62eed300fbf6e2595b9008e131fac906dbc32 /games-puzzle
parent(games-arcade/greenisland) initial greenisland-100.ebuild (diff)
downloadgamerlay-88b11c7aaf9c88651106ba349d53a5fd1a7a872b.tar.gz
gamerlay-88b11c7aaf9c88651106ba349d53a5fd1a7a872b.tar.bz2
gamerlay-88b11c7aaf9c88651106ba349d53a5fd1a7a872b.zip
(games-puzzle/transitmania) inital transitmania-1.0.ebuild
(games-puzzle/transitmania) new Manifest (games-puzzle/transitmania) new metadata.xml
Diffstat (limited to 'games-puzzle')
-rw-r--r--games-puzzle/transitmania/Manifest3
-rw-r--r--games-puzzle/transitmania/metadata.xml9
-rw-r--r--games-puzzle/transitmania/transitmania-1.0.ebuild44
3 files changed, 56 insertions, 0 deletions
diff --git a/games-puzzle/transitmania/Manifest b/games-puzzle/transitmania/Manifest
new file mode 100644
index 0000000..6f081f0
--- /dev/null
+++ b/games-puzzle/transitmania/Manifest
@@ -0,0 +1,3 @@
+DIST transitmania-1.0.tar.gz 887356 RMD160 ba87f43587bd3fbb3c789af228387b48e7d2937c SHA1 bf5a5bb14e10b64e8a1f5a0d35b882dcb06797b0 SHA256 8f306e287b3a2edddc17e2ccbc2d183c2b3d0952a98075aa5bf21c5fa566f87b
+EBUILD transitmania-1.0.ebuild 1010 RMD160 d705f379b1e69bfc0334dc4b516e7090e64d8053 SHA1 7ef9ba278632f87487a64a4195237a16050f5a0a SHA256 ae34560a9c6325053b3d6277efaf9312004000beb9c2f2fb68832cfe25d47dee
+MISC metadata.xml 249 RMD160 220cde0fc1a8d7d355705f0f6772bd8d77cdc17a SHA1 34b33eb8d24cd8bfef2ddfb8e80334fd77cc9488 SHA256 3875fd5008d7f5bfe7f3cf7bf330c209a5034f5988d37c1699fb3be35a7be906
diff --git a/games-puzzle/transitmania/metadata.xml b/games-puzzle/transitmania/metadata.xml
new file mode 100644
index 0000000..4e4714e
--- /dev/null
+++ b/games-puzzle/transitmania/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>frostworks@gmx.de</email>
+ <name>Marcel Unbehaun</name>
+</maintainer>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-puzzle/transitmania/transitmania-1.0.ebuild b/games-puzzle/transitmania/transitmania-1.0.ebuild
new file mode 100644
index 0000000..2bd0f02
--- /dev/null
+++ b/games-puzzle/transitmania/transitmania-1.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit games
+
+DESCRIPTION="a puzzle game that slihtly resembles the old Pipemania classic game"
+HOMEPAGE="http://transit-mania.sourceforge.net"
+# temporary SRC_URI - contacted the autthor, if he wants to host the file on his sf page
+SRC_URI="http://frostworx.de/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+RDEPEND="media-libs/allegro"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ sed -i -e "s:data1.dat:"${GAMES_DATADIR}"/"${PN}"/data1.dat:g" -i main.c
+ sed -i -e "s:data2.dat:"${GAMES_DATADIR}"/"${PN}"/data2.dat:g" -i main.c
+}
+
+src_compile() {
+ emake || die "make failed"
+}
+
+src_install() {
+ local datadir="${GAMES_DATADIR}"/${PN}
+ insinto "${datadir}"
+ doins *.dat || die "data install failed"
+ exeinto "${GAMES_DATADIR}"/${PN}
+ dogamesbin ${PN}
+ make_desktop_entry "${PN}" "${PN}"
+ dodoc readme.txt
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+} \ No newline at end of file